> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/api-reference-legacy/portfolio/invoicing-entity.md).

# Invoicing Entity

## Viewing all invoicing entities

> To view all invoicing entities:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Invoicing entity"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/invoicingEntity":{"get":{"summary":"Viewing all invoicing entities","operationId":"get-api-v2-invoicingentity","tags":["Invoicing entity"],"description":"To view all invoicing entities:","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"pageToken":{"type":"string"},"requestedPageSize":{"type":"integer"},"itemCount":{"type":"integer"},"items":{"type":"array","items":{"type":"object","properties":{"invoicingEntityId":{"type":"integer"},"name":{"type":"string"},"title":{"type":"string"},"countryCode":{"type":"string"},"invoiceNumber":{"type":"integer"},"grossBilling":{"type":"string"},"portfolioId":{"type":"string"},"status":{"type":"string"},"attribute":{"type":"array","items":{"type":"object","properties":{"invoicingEntityAttributeId":{"type":"integer"},"invoicingEntityId":{"type":"integer"},"attribute":{"type":"string"},"value":{"type":"string"},"status":{"type":"string"}}}}}}}}}}}}}}}}}
```

## Creating a new invoicing entity

> To create a new invoicing entity:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Invoicing entity"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/invoicingEntity":{"post":{"summary":"Creating a new invoicing entity","operationId":"post-api-v2-invoicingentity","tags":["Invoicing entity"],"description":"To create a new invoicing entity:","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"title":{"type":"string"},"grossBilling":{"type":"string"},"portfolioId":{"type":"string"},"countryCodeId":{"type":"string"},"invoiceNumber":{"type":"string"}},"required":["name","title","grossBilling","portfolioId"]}}}},"responses":{"200":{"description":"Successful response"}}}}}}
```

## Viewing a specific invoicing entity

> To view details for a specific invoicing entity:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Invoicing entity"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/{invoicingEntityId}":{"get":{"summary":"Viewing a specific invoicing entity","operationId":"get-api-v2-invoicingentityid","tags":["Invoicing entity"],"description":"To view details for a specific invoicing entity:","parameters":[{"name":"invoicingEntityId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"invoicingEntityId":{"type":"integer"},"name":{"type":"string"},"title":{"type":"string"},"countryCode":{"type":"string"},"invoiceNumber":{"type":"integer"},"grossBilling":{"type":"string"},"portfolioId":{"type":"string"},"status":{"type":"string"},"attribute":{"type":"array","items":{"type":"object","properties":{"invoicingEntityAttributeId":{"type":"integer"},"invoicingEntityId":{"type":"integer"},"attribute":{"type":"string"},"value":{"type":"string"},"status":{"type":"string"}}}},"businessCode":{"type":"array","items":{"type":"object","properties":{"businessCodeId":{"type":"integer"}}}},"currency":{"type":"array","items":{"type":"object","properties":{"currencyId":{"type":"integer"}}}},"paymentMethod":{"type":"array","items":{"type":"object","properties":{"paymentMethodId":{"type":"integer"}}}},"taxCode":{"type":"array","items":{"type":"object","properties":{"taxCodeId":{"type":"integer"}}}}}}}}}}}}}}
```

## Updating a specific invoicing entity

> To update a specific invoicing entity:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Invoicing entity"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/invoicingEntity/{invoicingEntityId}":{"patch":{"summary":"Updating a specific invoicing entity","operationId":"patch-api-v2-invoicingentity-invoicingentityid","tags":["Invoicing entity"],"description":"To update a specific invoicing entity:","parameters":[{"name":"invoicingEntityId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"title":{"type":"string"},"grossBilling":{"type":"string"},"portfolioId":{"type":"string"},"countryCodeId":{"type":"string"},"invoiceNumber":{"type":"string"},"status":{"type":"string"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"invoicingEntityId":{"type":"integer"},"name":{"type":"string"},"title":{"type":"string"},"countryCode":{"type":"string"},"invoiceNumber":{"type":"integer"},"grossBilling":{"type":"string"},"portfolioId":{"type":"string"},"status":{"type":"string"},"attribute":{"type":"array","items":{"type":"object","properties":{"invoicingEntityAttributeId":{"type":"integer"},"invoicingEntityId":{"type":"integer"},"attribute":{"type":"string"},"value":{"type":"string"},"status":{"type":"string"}}}},"businessCode":{"type":"array","items":{"type":"object","properties":{"businessCodeId":{"type":"integer"}}}},"currency":{"type":"array","items":{"type":"object","properties":{"currencyId":{"type":"integer"}}}},"paymentMethod":{"type":"array","items":{"type":"object","properties":{"paymentMethodId":{"type":"integer"}}}},"taxCode":{"type":"array","items":{"type":"object","properties":{"taxCodeId":{"type":"integer"}}}}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/api-reference-legacy/portfolio/invoicing-entity.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
